#include "mainwindow.h"
 
#include <KApplication>
#include <KAction>
#include <KLocale>
#include <KActionCollection>
#include <KStandardAction>
 
MainWindow::MainWindow(QWidget *parent)
    : KXmlGuiWindow(parent)
{
  textArea = new KTextEdit;
  setCentralWidget(textArea);
 
  setupActions();
}
 
void MainWindow::setupActions()
{
  // We create a new empty action, with this objetct a parent widget
  KAction* clearAction = new KAction(this);

  // Next, certain required properties must be setted
  clearAction->setText(i18n("Clear"));
  clearAction->setIcon(KIcon("document-new"));
  clearAction->setShortcut(Qt::CTRL + Qt::Key_W);

  // Now, we add this action, to the "actionCollection", that this objetct has.
  actionCollection()->addAction("clear", clearAction);

  // And finally, we connect the signal "triggered", with the slot "clear".
  connect(clearAction, SIGNAL(triggered(bool)),
          textArea, SLOT(clear()));

  // And also, we add a default signal/slot connection, which shuts down the program
  KStandardAction::quit(kapp, SLOT(quit()),
                        actionCollection());
 
  setupGUI();
}