#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KDialog>
#include <KApplication>
#include <KAboutData>
#include <KXmlGuiWindow>

#include <Solid/DeviceNotifier>
#include <Solid/Device>
#include <Solid/StorageAccess>

#include <Phonon/MediaObject>
#include <Phonon/Path>
#include <Phonon/AudioOutput>
#include <Phonon/Global>
#include <Phonon/VideoWidget>

#include <QtGui/QDirModel>
#include <QtGui/QColumnView>

class MainWindow : public KXmlGuiWindow
{
    Q_OBJECT
    public:
        MainWindow(QWidget *parent=0);

    private slots:
        void play(const QModelIndex &index);
	void newMedia(const QString &udi);
	void mountDevice();
	void mountDone(Solid::ErrorType error, QVariant errorData, const QString &udi);

    private:
	void delayedInit();

	QColumnView m_fileView;
	QDirModel m_model;

	Solid::DeviceNotifier *DeviceNotifier;
	Solid::StorageAccess *Device;
	Phonon::MediaObject *m_media;
	Phonon::VideoWidget *videoWidget;
	KDialog *dialog;
};

#endif /** MAINWINDOW_H */