/***************************************************************************
 *   Copyright (C) 2008 by Arturo Hoffstadt Urrutia   *
 *   ahoffsta@inf.utfsm.cl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "kdevelopexample.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("kdevelopexample", 0, ki18n("kdevelopexample"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2008 Arturo Hoffstadt Urrutia"), KLocalizedString(), 0, "ahoffsta@inf.utfsm.cl");
    about.addAuthor( ki18n("Arturo Hoffstadt Urrutia"), KLocalizedString(), "ahoffsta@inf.utfsm.cl" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    kdevelopexample *widget = new kdevelopexample;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(kdevelopexample);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //kdevelopexample *widget = new kdevelopexample;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //kdevelopexample *widget = new kdevelopexample;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
