#include "template.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("template", 0, ki18n("template"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2007 Arturo Hoffstadt Urrutia"), KLocalizedString(), 0, "ahoffsta@inf.utfsm.cl");
    about.addAuthor( ki18n("Arturo Hoffstadt Urrutia"), KLocalizedString(), "ahoffsta@inf.utfsm.cl" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    template *widget = new template;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(template);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //template *widget = new template;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //template *widget = new template;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
