/*
 * template.h
 *
 * Copyright (C) 2008 Arturo Hoffstadt Urrutia <ahoffsta@inf.utfsm.cl>
 */
#ifndef TEMPLATE_H
#define TEMPLATE_H


#include <kxmlguiwindow.h>

#include "ui_prefs_base.h"

class templateView;
class QPrinter;
class KToggleAction;
class KUrl;

/**
 * This class serves as the main window for template.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Arturo Hoffstadt Urrutia <ahoffsta@inf.utfsm.cl>
 * @version 0.1
 */
class template : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    template();

    /**
     * Default Destructor
     */
    virtual ~template();

private slots:
    void fileNew();
    void optionsPreferences();

private:
    void setupActions();

private:
    Ui::prefs_base ui_prefs_base ;
    templateView *m_view;

    QPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // _TEMPLATE_H_
