/*
 * templateview.cpp
 *
 * Copyright (C) 2008 Arturo Hoffstadt Urrutia <ahoffsta@inf.utfsm.cl>
 */
#include "templateview.h"
#include "settings.h"

#include <klocale.h>
#include <QtGui/QLabel>

templateView::templateView(QWidget *)
{
    ui_templateview_base.setupUi(this);
    settingsChanged();
    setAutoFillBackground(true);
}

templateView::~templateView()
{

}

void templateView::switchColors()
{
    // switch the foreground/background colors of the label
    QColor color = Settings::col_background();
    Settings::setCol_background( Settings::col_foreground() );
    Settings::setCol_foreground( color );

    settingsChanged();
}

void templateView::settingsChanged()
{
    QPalette pal;
    pal.setColor( QPalette::Window, Settings::col_background());
    pal.setColor( QPalette::WindowText, Settings::col_foreground());
    ui_templateview_base.kcfg_sillyLabel->setPalette( pal );

    // i18n : internationalization
    ui_templateview_base.kcfg_sillyLabel->setText( i18n("This project is %1 days old",Settings::val_time()) );
    emit signalChangeStatusbar( i18n("Settings changed") );
}

#include "templateview.moc"
