/*
 * templateview.h
 *
 * Copyright (C) 2007 Arturo Hoffstadt Urrutia <ahoffsta@inf.utfsm.cl>
 */
#ifndef TEMPLATEVIEW_H
#define TEMPLATEVIEW_H

#include <QtGui/QWidget>

#include "ui_templateview_base.h"

class QPainter;
class KUrl;

/**
 * This is the main view class for template.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Arturo Hoffstadt Urrutia <ahoffsta@inf.utfsm.cl>
 * @version 0.1
 */

class templateView : public QWidget, public Ui::templateview_base
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    templateView(QWidget *parent);

    /**
     * Destructor
     */
    virtual ~templateView();

private:
    Ui::templateview_base ui_templateview_base;

signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

private slots:
    void switchColors();
    void settingsChanged();
};

#endif // templateVIEW_H
